body {
  margin: 0;
  font-family: Arial;
  background: #0f1115; /* почти черный */
  color: #e6e6e6;
}

/* верхняя панель */
.topbar {
  display: flex;
  align-items: center;
  background: #12151c;
  padding: 15px;
  font-size: 20px;
  border-bottom: 1px solid #1f2530;
}

.burger {
  font-size: 28px;
  background: none;
  border: none;
  color: #e6e6e6;
  margin-right: 15px;
  cursor: pointer;
}

/* sidebar */
.sidebar {
  position: fixed;
  top: 0;
  left: -100%; /* ВОТ ЭТО ВАЖНО */
  width: 75%;
  height: 100%;
  background: #12151c;
  padding: 20px;
  transition: 0.3s;
  z-index: 1000;
  display: flex;
  flex-direction: column;
}

.sidebar.active {
  left: 0;
}

.sidebar h3 {
  font-weight: bold;
  font-size: 20px;
  margin-bottom: 20px;
  color: #4da3ff; /* синий акцент */
}

/* пункты меню */
.menu-item {
  padding: 18px;
  font-size: 18px;
  cursor: pointer;
  border-radius: 10px;
  color: #d0d6e0;
}

.menu-item:hover {
  background: #1c2330; /* графит + синий */
  color: #4da3ff;
}

/* низ */
.bottom {
  margin-top: auto;
  border-top: 1px solid #1f2530;
  padding-top: 10px;
}

/* overlay */
.overlay {
  position: fixed;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.7);
  display: none;
}

.overlay.active {
  display: block;
}

/* контент */
.content {
  padding: 20px;
  font-size: 18px;
}

/* карточки */
.card {
  background: #161a22; /* графит */
  padding: 20px;
  margin: 15px 0;
  border-radius: 12px;
  border: 1px solid #1f2530;
  font-size: 18px;
  transition: 0.2s;
}

.card:hover {
  border-color: #4da3ff;
  transform: translateY(-2px);
}

/* кнопки */
button {
  padding: 8px 10px;
  font-size: 16px;
  border: none;
  background: #4da3ff;
  color: white;
  border-radius: 8px;
  cursor: pointer;
}

button:hover {
  background: #3a8be0;
}

.card-title {
  font-size: 22px;
  font-weight: bold;
}

.card-sub {
  font-size: 14px;
  color: #9aa3b2;
  margin-top: 5px;
}

.page-header {
  display: flex;
  align-items: center;
  margin-bottom: 20px;
}

.back-btn {
  font-size: 22px;
  margin-right: 10px;
  cursor: pointer;
}

.page-title {
  font-size: 20px;
  font-weight: bold;
}

.file-card {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.file-card div {
  display: flex;
  gap: 10px;
}

.text-block {
  line-height: 1.6;
}

.text-block h3 {
  margin-top: 15px;
  color: #4da3ff;
}

.text-block p {
  margin: 5px 0;
  color: #d0d6e0;
}